Bug 654440 - insertion of static network IP fails on install
Summary: insertion of static network IP fails on install
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda
Version: 6.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Radek Vykydal
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-17 21:17 UTC by Thomas Zine
Modified: 2011-05-31 20:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-31 20:34:56 UTC


Attachments (Terms of Use)
tty1 (9.52 KB, image/gif)
2010-11-18 18:25 UTC, Thomas Zine
no flags Details
tty3 (10.16 KB, image/gif)
2010-11-18 18:25 UTC, Thomas Zine
no flags Details
tty4 (9.59 KB, image/gif)
2010-11-18 18:26 UTC, Thomas Zine
no flags Details

Description Thomas Zine 2010-11-17 21:17:15 UTC
Description of problem:
when adding line:
ip=10.0.0.100 gateway=10.0.0.1 dns=10.0.0.1 ksdevice=eth0 ks=ftp://10.0.0.10/ks.cfg
unable to download kickstart file, no networking

ks=ftp://10.0.0.10/ks.cfg 
without IP information uses DHCP

Version-Release number of selected component (if applicable):


How reproducible:
consistent

Steps to Reproduce:
1. append ip information to network boot disk
2.
3.
  
Actual results:
no results

Expected results:
static Ip

Additional info:

Comment 1 Chris Lumens 2010-11-17 21:19:02 UTC
Please attach a picture of what you see on tty3 and tty4 to this bug report.  Thanks.

Comment 3 Thomas Zine 2010-11-18 18:25:11 UTC
Created attachment 461353 [details]
tty1

Comment 4 Thomas Zine 2010-11-18 18:25:42 UTC
Created attachment 461354 [details]
tty3

Comment 5 Thomas Zine 2010-11-18 18:26:09 UTC
Created attachment 461355 [details]
tty4

Comment 6 Radek Vykydal 2011-05-20 14:00:54 UTC
Sorry for the delay.
Are your sure that your routing static configuation (gateway, dns) is correct? If it is, there are some steps that can be done to debug the issue, but they are not quite simple due to very early stage of installation:

In the point of dialog with kickstart fail, press Ctrl-Z, dump your network configuration with ifconfig and route command, and attach screenshot.

Also /tmp/syslog file would be useful - to gather it at this stage, you can:

rm /etc/sysconfig/network-scripts/ifcfg-eth0
... this will bring down eth0 with failing static configuration

echo "DEVICE=eth0\nBOOTPROTO=dhcp\nONBOOT=yes" > /etc/sysconfig/network-scripts/ifcfg-eth0
... which would bring up eth0 with (as you said working) dhcp configuration

ifconfig and route output screenshot would be good for reference here

exit

... will take you back to loader UI where you should be able to continue to the point where shell is available on tty2 (Ctrl-Alt-F2), from where you can cp or scp and attach /tmp/anaconda.log and /tmp/syslog.


Note You need to log in before you can comment on or make changes to this bug.